package controller.model;

/**
 * immutable
 * @author Ivan Valencik
 */
public class NewTurn
{
	private double peakVal, startDist, endDist;
	private Direction dir;

	public enum Direction { STRAIGHT, RIGHT, LEFT };

	public NewTurn(double startDistance, double endDistance, double peakValue)
	{
		peakVal = Math.abs(peakValue);
		if (peakValue < 0)
			dir = Direction.RIGHT;
		else
			dir = Direction.LEFT;
		startDist = startDistance;
		endDist = endDistance;
	}

	public double getPeakValue() {
		return peakVal;
	}

	public double getStartDistance() {
		return startDist;
	}

	public Direction getDirection() {
		return dir;
	}
	
	public double getEndDistance()
	{
		return endDist;
	}
}
