package controller.model;

/**
 * immutable
 * @author Ivan Valencik
 */
public class Turn
{
	private double avgTurn, maxTurn, dist, maxTurnPoint, endDist;
	private Direction dir;
	
	public enum Direction { STRAIGHT, RIGHT, LEFT };

	public Turn(double averageTurn, double maximumTurn, double distance,
			double maxTurnPoint2, double endDistance)
	{
		avgTurn = Math.abs(averageTurn);
		maxTurn = Math.abs(maximumTurn);
		dist = distance;
		maxTurnPoint = maxTurnPoint2;
		if (averageTurn < 0)
			dir = Direction.RIGHT;
		else
			dir = Direction.LEFT;
		endDist = endDistance;
	}

	public double getAvgTurn() {
		return avgTurn;
	}

	public double getMaxTurn() {
		return maxTurn;
	}

	public double getStartDistance() {
		return dist;
	}

	public double getMaxTurnPoint() {
		return maxTurnPoint;
	}
	
	public Direction getDirection() {
		return dir;
	}
	
	public double getEndDistance()
	{
		return endDist;
	}
}
